from django.urls import include, path

from containers.views.common import ContainerDetails
from containers.views.employee_views import ContainersListView, ReportContainersUnpaidListView
from containers.views.barrier_views import ContainerReceiveView, ContainerExpedition, ContainerSearchView, \
    ContainerPhotosView

urlpatterns = [
    path('container-search/', ContainerSearchView.as_view(), name='container_search'),
    path('container-details/', ContainerDetails.as_view(), name='container_details'),
    path('container-search/', ContainerSearchView.as_view(), name='barrier_photos'),
    # path('search/', ContainerSearchView.as_view(), name='container_search'),
    path('employee/', ContainersListView.as_view(), name='employee_containers'),
    path('not-paid', ReportContainersUnpaidListView.as_view(), name='not_paid'),
    path('barrier/receive/', ContainerReceiveView.as_view(), name='container_receive'),
    path('barrier/expedition/', ContainerExpedition.as_view(), name='container_expedition'),
    path('barrier/<int:pk>/', include([
        path('photos/', ContainerPhotosView.as_view(), name='container_photos'),
        ])),
]